package com.palacesun.masking.vo;

import com.palacesun.masking.entity.orm.table.core.strategy.audit.conditions.AuditApplicationConditions;
import com.palacesun.masking.entity.orm.table.core.strategy.audit.conditions.AuditDateConditions;
import com.palacesun.masking.entity.orm.table.core.strategy.audit.conditions.AuditDbuserConditions;
import com.palacesun.masking.entity.orm.table.core.strategy.audit.conditions.AuditIpConditions;
import java.util.List;

public class Map {
   private String auditswitch;
   private List<AuditDateConditions> dateConditions;
   private List<AuditApplicationConditions> applicationConditions;
   private List<AuditDbuserConditions> dbuserConditions;
   private List<AuditIpConditions> ipConditions;
   private Ruleinfo ruleinfo;

   public List<AuditDateConditions> getDateConditions() {
      return this.dateConditions;
   }

   public void setDateConditions(List<AuditDateConditions> dateConditions) {
      this.dateConditions = dateConditions;
   }

   public List<AuditApplicationConditions> getApplicationConditions() {
      return this.applicationConditions;
   }

   public void setApplicationConditions(List<AuditApplicationConditions> applicationConditions) {
      this.applicationConditions = applicationConditions;
   }

   public List<AuditDbuserConditions> getDbuserConditions() {
      return this.dbuserConditions;
   }

   public void setDbuserConditions(List<AuditDbuserConditions> dbuserConditions) {
      this.dbuserConditions = dbuserConditions;
   }

   public List<AuditIpConditions> getIpConditions() {
      return this.ipConditions;
   }

   public void setIpConditions(List<AuditIpConditions> ipConditions) {
      this.ipConditions = ipConditions;
   }

   public Ruleinfo getRuleinfo() {
      return this.ruleinfo;
   }

   public void setRuleinfo(Ruleinfo ruleinfo) {
      this.ruleinfo = ruleinfo;
   }

   public String getAuditswitch() {
      return this.auditswitch;
   }

   public void setAuditswitch(String auditswitch) {
      this.auditswitch = auditswitch;
   }
}
